# Class WindowToolBarComponent<D>

#### Type Parameters

- D

- Defined in packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:33

#####
Index

### Constructors

constructor

### Properties

windowRef

##
Constructors

### constructor

- new WindowToolBarComponent<D>(context: any): WindowToolBarComponent<D>

  #### Type Parameters

  - D

  #### Parameters

  - context: any

  #### Returns WindowToolBarComponent<D>

  - Defined in packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:37

##
Properties

### windowRef

windowRef: WindowRef<D>

- Defined in packages/angular/window-system/src/lib/window-tool-bar/window-tool-bar.component.ts:35